﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Syncfusion.Windows.PdfViewer;
using System.Diagnostics;
using Syncfusion.Pdf.Parsing;
using System.Drawing;

namespace GettingStarted_2008
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {

        # region Constructor
        public Window1()
        {
            InitializeComponent();
            ImageSourceConverter converter = new ImageSourceConverter();
            // Position and size the window.
            this.Width = System.Windows.SystemParameters.PrimaryScreenWidth * 2 / 3;
            this.Height = System.Windows.SystemParameters.PrimaryScreenHeight * (3 / 2) - 50;
            this.Left = System.Windows.SystemParameters.PrimaryScreenWidth / 6;
            this.Top = 5;
            this.WindowState = WindowState.Maximized;
        }
        # endregion

        # region Events


        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            PdfLoadedDocument pdf = new PdfLoadedDocument("../../Data/Barcode.pdf");
            pdfviewer1.Load(pdf);
        }
  
        # endregion

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            pdfviewer1.LoadedDocument.Save("../../Saved/Saved.pdf");
        }
    }
}
